> For the complete documentation index, see [llms.txt](https://docs.akamas.io/akamas-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akamas.io/akamas-docs/3.4.0/reference/optimization-packs/nodejs-pack.md).

# Node JS optimization pack

The *Node JS* optimization pack enables the ability to optimize applications based on Node running in V8.

The following component types are supported for NodeJS applications.

| Component Type                                                                          | Description        |
| --------------------------------------------------------------------------------------- | ------------------ |
| [Node JS 18](/akamas-docs/3.4.0/reference/optimization-packs/nodejs-pack/node-js-18.md) | Node JS 18 runtime |

### Installing

Here’s the command to install the Node JS optimization pack using the Akamas CLI:

```bash
akamas install optimization-pack NodeJS
```

For more information on the process of installing or upgrading an optimization pack refer to [Install Optimization Packs](https://gitlab.com/akamas/documentation/akamas-docs/-/blob/3.4.0/akamas-reference/optimization-packs/nodejs-pack/broken-reference/README.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.akamas.io/akamas-docs/3.4.0/reference/optimization-packs/nodejs-pack.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
